Create an archive

Starts a cloud archive recording for the given camera and time range. timestamp is the start in Unix epoch milliseconds and duration is in seconds. The range must start at or before the current time and end no more than 5 seconds after it, which allows for a small difference between the client and server clocks. A range that starts in the future, or ends more than 5 seconds after the current time, is rejected and no archive is created. The response includes a durable archiveId and a sessionId. Poll GET /v3/archives/org/{orgId}/{archiveId} (preferred) or GET /v3/archives/org/{orgId}/session/{sessionId} until status is COMPLETED or FAILED. When COMPLETED, that GET response includes download URLs in files.

Required scope: write:archives

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Organization ID

Body Params
string
required

Camera ID

number
required

Recording start time (Unix epoch in milliseconds)

number
required

Recording duration in seconds

string

Archive display name

tags
array of strings

Tags for the archive

tags
boolean
Defaults to false

Blur detected faces

boolean
Defaults to false

Show this archive in the web UI

Responses

400

Invalid parameters, or the time range starts in the future or ends more than 5 seconds after the current time.

404

Camera not found.

500

Archive was created but its ID could not be resolved.

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*